<?php
include_once( PLOG_CLASS_PATH."class/action/blogaction.class.php" );
include_once( PLOG_CLASS_PATH."plugins/gallery/class/view/plugingalleryshowview.class.php" );

/**
 * This class is responsible for performing the show gallery action. 
 *
 * @version 0.1
 * @author Laurent Vauthrin
 */
class PluginGalleryShowAction extends BlogAction 
{
    /**
     * Constructor.
     *
     * @param $actionInfo The action information.
     * @param $request The HTTP request information.
     * @return Returns the value passed back by AdminAction.
     */
    function PluginGalleryShowAction( $actionInfo, $request ) 
    {
        return $this->BlogAction( $actionInfo, $request );
    }

    /**
     * This function performs the action.
     *
     * @param None.
     * @return Returns true.
     */ 
    function perform() 
    {
        $this->_view = new PluginGalleryShowView( $this->_blogInfo );
        $this->setCommonData();

        return true;
    }
}
?>
